#### D.15.3.48 SchurS

Procedure from library `chern.lib` (see chern_lib).

Usage:
  SchurS(I, S); I list of integers representing a partition, S list of polynomials

Return:
  poly

Purpose:
  computes the Schur polynomial in the Segre classes S, i.e., in the complete homogeneous symmetric polynomials, with respect to the partition I

Note:
  if S are the Segre classes of the tautological bundle on a grassmanian, this gives the cohomology class of a Schubert cycle

Example:

    LIB "chern.lib";
    // The Schur polynomial corresponding to the partition 1,2,3
    // and the Segre classes 1, s(1), s(2),..., s(5)
    ring r=0,(s(1..5)), dp;
    list I=1,2,3;
    list S=s(1..5);
    print( SchurS(I, S) );
    ==> s(1)*s(2)*s(3)-s(1)^2*s(4)-s(3)^2+s(1)*s(5)
    // compare this with the Schur polynomial computed using Chern classes
    list C=chern(S);
    print( SchurCh(I, C) );
    ==> s(1)*s(2)*s(3)-s(1)^2*s(4)-s(3)^2+s(1)*s(5)

User manual for Singular version 4-0-3, 2016, generated by texi2html.